from ppms.migration import SQLPacket, PacketCategory, MaxVersionDependency, VersionType


class CreateStakeholderPortfolioTable(SQLPacket):
    """Creates the new table for Portfolio Stakeholder"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 20122

    sql_script = 'WI20122_create_table_stakeholder_portfolio.sql'

    def get_dependencies(self):
        return MaxVersionDependency(version='39.5.9', version_type=VersionType.CUSTOMIZING),

    def fix(self, packet_runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.sql_script)

        return self.success()